<?php

/**
 * Shapro functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package
 */
define( 'SHAPRO_DIR', get_template_directory() );
define( 'SHAPRO_DIR_URI', get_template_directory_uri() );
define( 'SHAPRO_INCLUDE', trailingslashit( SHAPRO_DIR ) . 'inc/' );
define( 'SHAPRO_BASE_DIR', SHAPRO_INCLUDE . 'core/' );

function shapro_run() {

	require_once SHAPRO_BASE_DIR . 'class-shapro-autoloader.php';
	$autoloader = new Shapro_Autoloader();

	spl_autoload_register( array( $autoloader, 'loader' ) );
	new Shapro_Core();
}

shapro_run();

add_theme_support( 'post-thumbnails' );

require get_template_directory() . '/inc/custom-header.php';
/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Register Widget WordPress.
 */
require get_template_directory() . '/inc/widget/widgets-register-sidebars.php';

/**
 * Customizer
 * Custom functions that act independently of the theme templates.
 */
require_once get_template_directory() . '/inc/plugin-install.php';

/* Header */
require get_template_directory() . '/inc/customizer/customizer-header.php';

/*
 Recommended plugin */
/* @todo */
require get_template_directory() . '/inc/customizer/customizer_recommended_plugin.php';

/* Header */
require get_template_directory() . '/inc/customizer/customizer-general.php';

/*
 * Breadcrumb
 */
require get_template_directory() . '/inc/customizer/customizer-breadcrumb.php';

if ( ! file_exists( get_template_directory() . '/inc/class-shapro-bootstrap-navwalker.php' ) ) {
	// File does not exist... return an error.
	return new WP_Error( 'class-shapro-bootstrap-navwalker-missing', __( 'It appears the class-shapro-bootstrap-navwalker.php file may be missing.', 'shapro' ) );
} else {
	// File exists... require it.
	require_once get_template_directory() . '/inc/class-shapro-bootstrap-navwalker.php';
}
